Bug 102880 - desktop-create-kmenu doesn't handle @MODIFIER locale syntax
desktop-create-kmenu doesn't handle @MODIFIER locale syntax
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: desktop-file-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 05:35 EDT by Dave Shield
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-04 01:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Shield 2003-08-22 05:35:39 EDT
Description of problem:  The 'desktop-create-kmenu' tool does not
   understand the full range of locale syntax, as described in
   http://www.freedesktop.org/standards/desktop-entry-spec/0.9.4-onehtml/
   In particular, an entry of the form
              key[lang@modifer]=value
   is rejected with an error, and the corresponding entry does not appear
   in the menu structure.


Version-Release number of selected component (if applicable):  3.1-13


How reproducible: Very


Steps to Reproduce:
1. cp /usr/share/application/konsole.desktop /usr/share/application/TEST.desktop
2. insert line "Name[en@Latn]=Terminal"
3. desktop-create-kmenu 2>&1| grep TEST
    
Actual results:
    Warning: failed to load /usr/share/applications/TEST.desktop:
        Error in section Desktop Entry at line 15:
        Invalid characters in locale name

Expected results:
    No error, and an extra Terminal entry in the menu structure

Additional info:
    desktop-create-menu also appears to choke on a space in this locale
section which appears in the examples in the above specification (though
isn't described explicitly).
Comment 1 Ngo Than 2003-08-28 09:47:10 EDT
it should be in desktop-file-utils. i assign it to correct component
Comment 2 Havoc Pennington 2003-10-04 01:28:36 EDT
I believe Jonathan fixed this.

Note You need to log in before you can comment on or make changes to this bug.